Name:           python-timeflake
Version:        0.4.3
Release:        %autorelease
Summary:        Timeflake is a 128-bit, roughly-ordered, URL-safe UUID. Inspired by Twitter's Snowflake, Instagram's ID and Firebase's PushID.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        MIT
URL:            https://github.com/anthonynsimon/timeflake
Source:         %{pypi_source timeflake}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'timeflake' generated automatically by pyp2spec.}


%description %_description

%package -n     python3-timeflake
Summary:        %{summary}

%description -n python3-timeflake %_description


%prep
%autosetup -p1 -n timeflake-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%pyproject_check_import -t


%files -n python3-timeflake -f %{pyproject_files}


%changelog
%autochangelog